/* (C) 2008 The Measurement Factory */

#ifndef LIBECAP__COMMON__CONFIG_H
#define LIBECAP__COMMON__CONFIG_H

#include <libecap/common/header.h>

namespace libecap {

// API to allow one side to read configuration values stored on the other side.
// Configuration objects may be temporary and must not be used beyond the
// method call that supplied them.
class Config {
	public:
		virtual ~Config() {}

		// will call visitor for each configuration name:value pair
		virtual void visitEach(NamedValueVisitor &visitor) const = 0;
};

} // namespace libecap

#endif
